# RuntimeConfigurable

Wrapper class that holds the attributes of a Task (or elements nested below that level) and takes care of configuring that element at runtime.

SMART-UP INLINE DOCS

author | Andreas Aderhold andi@binarycloud.com
author | Hans Lellelid hans@xmpl.org
version | $Id: 465efa4e9b1232a9ede67d3a3adadbe1fbafb7e2 $
package | phing

### Methods

## __construct

    __construct(\Task|object $proxy, mixed $elementTag)

### Arguments

#### $proxy

`\Task|object`

#### $elementTag

`mixed`

The element to wrap.

## Adds child elements to the wrapped element.

    addChild(\RuntimeConfigurable $child) : void

### Arguments

#### $child

`\RuntimeConfigurable`

## Add characters from #PCDATA areas to the wrapped element.

    addText(string $data) : void

### Arguments

#### $data

`string`

## Returns the AttributeList of the wrapped element.

    getAttributes() : array

### Response

`array`

## Returns the child with index

    getChild(integer $index) : \RuntimeConfigurable

### Arguments

#### $index

`integer`

### Response

`\RuntimeConfigurable`

## getElementTag

    getElementTag()

## getProxy

    getProxy() : object|\Task

### Response

`object|\Task`

## Configure the wrapped element and all children.

    maybeConfigure(\Project $project) : void

throws |

### Arguments

#### $project

`\Project`

## Set's the attributes for the wrapped element.

    setAttributes(array $attributes) : void

### Arguments

#### $attributes

`array`

## setProxy

    setProxy(object|\Task $proxy) : void

### Arguments

#### $proxy

`object|\Task`

### Properties

## elementTag

    elementTag :

### Type(s)

``

## children

    children : array

var |

### Type(s)

`array`

## wrappedObject

    wrappedObject : object|\Task

var |

### Type(s)

`object|\Task`

## attributes

    attributes : array

var |

### Type(s)

`array`

## characters

    characters : string

var |

### Type(s)

`string`

## proxyConfigured

    proxyConfigured : boolean

var |

### Type(s)

`boolean`